View Issue Details

IDProjectCategoryView StatusLast Update
0003449Ham Radio DeluxeMaintenancepublic2019-11-08 02:32
ReporterK7ZCZAssigned ToK7ZCZ 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version6.7.0.226 
Target VersionFixed in Version6.7.0.244 
Summary0003449: COwnString::FormatNumber() and FormatNumberEx() methods don't always append suffix
DescriptionCOwnString has two formatting functions which will format a number with commas (or a caller-specifie thousands separator) and append a suffix. The functions are useful, for example, for formatting frequencies. 14174000 becomes "14,147,000 Hz".

If the passed frequency is less than 1000, no commas are added. The functions exit early and, in doing so, skip the code to append the suffix. The result is then "710" instead of "710 Hz".


TagsNo tags attached.
ModuleAll
Sub-ModuleData
Testing Beta Successful

Activities

K7ZCZ

2019-09-26 21:34

administrator   ~0008707

fixed with this checkin:
https://hrdsoftware.visualstudio.com/HRD/_versionControl/changeset/5171

g3ucq

2019-10-23 03:18

viewer   ~0008908

If I enter 14174000 in the ALE Freq (Mhz) box I get 14174000.000.000.
Is that correct?

WA9PIE

2019-10-28 16:50

administrator   ~0009045

What you're noticing there John is a different problem that I'd like to get to at some point. I think that's related to whether or not the user enters the frequency as MHz, KHz, or Hz. Over the years, we've changed it from MHz to Hz. (I think?)

But as for the change that was made here, I was able to reproduce this as Mike mentioned and this is fixed.

WA9PIE

2019-10-28 16:50

administrator   ~0009046

Validated

Issue History

Date Modified Username Field Change
2019-09-16 09:06 K7ZCZ New Issue
2019-09-26 21:34 K7ZCZ Assigned To => K7ZCZ
2019-09-26 21:34 K7ZCZ Status new => resolved
2019-09-26 21:34 K7ZCZ Resolution open => fixed
2019-09-26 21:34 K7ZCZ Note Added: 0008707
2019-10-21 17:07 K7ZCZ Fixed in Version => 6.7.0.235
2019-10-23 03:18 g3ucq Note Added: 0008908
2019-10-28 16:50 WA9PIE Note Added: 0009045
2019-10-28 16:50 WA9PIE Status resolved => closed
2019-10-28 16:50 WA9PIE Sub-Module (select) => Data
2019-10-28 16:50 WA9PIE Testing Not Started => Beta Successful
2019-10-28 16:50 WA9PIE Note Added: 0009046
2019-11-08 02:12 WA9PIE Fixed in Version 6.7.0.235 => 6.7.0.244
2019-11-08 02:32 WA9PIE Project 3 - Current Dev List => Ham Radio Deluxe